--[[

	SizeUpGizmo Options: Enhanced combat UI
		copyright 2005 by Chester
		(with code blatently stolen from my friend LOD)

]]

--#region Variables.
SUG_GREEN				= "|CFF20FF20";
SUG_BLUE				= "|CFF87ADE4";
SUG_CLOSE				= "|r";

CG_OPTIONS_TITLE		= "CombatGizmo";
CG_OPTIONS_VERSION		= "";
SUG_OPTIONS_TITLE		= "SizeUp Options";

SUG_TOGGLE_BUTTON1		= "Show Slider";
SUG_TOGGLE_BUTTON2		= "PartyMode Calcs";
SUG_TOGGLE_BUTTON3		= "Lock SUG Frame";		
SUG_TOGGLE_BUTTON4		= "Show on Enemy Only";
SUG_TOGGLE_BUTTON5		= "New Calculations";
SUG_TOGGLE_BUTTON6		= "Display Buffs";
SUG_TOGGLE_BUTTON7		= "Display Debuffs";
SUG_TOGGLE_BUTTON8		= "Display Buffs";
SUG_TOGGLE_BUTTON9		= "Display Debuffs";
SUG_TOGGLE_BUTTON10		= "Show SizeUp";
SUG_TOGGLE_BUTTON11		= "Lite SizeUp Mode";

SUG_TOGGLE_BUTTON12		= "Show Sentry";
SUG_TOGGLE_BUTTON13		= "Detect Enemy";
SUG_TOGGLE_BUTTON14		= "Detect Creatures";
SUG_TOGGLE_BUTTON15		= "Detect Friend";
SUG_TOGGLE_BUTTON16		= "Range Recolor";
SUG_TOGGLE_BUTTON17		= "Show Sentry Anchor";
SUG_TOGGLE_BUTTON18		= "Use Raid Icons";
SUG_TOGGLE_BUTTON19		= "Lite Sentry Mode";
SUG_TOGGLE_BUTTON20		= "Faction / Difficulty";

SUG_SLIDER_POS1			= "SUG Alpha";
SUG_SLIDER_POS2			= "SUG Scale";
SUG_SLIDER_POS3			= "CSG Scale";

SUG_DROPDOWN_OPTION1	= "Extensive";
SUG_DROPDOWN_OPTION2	= "Detailed";
SUG_DROPDOWN_OPTION3	= "Simple"
SUG_DROPDOWN_OPTION4	= "Percentage";

SUG_DROPDOWN_RAIDOPTION1	= "Yellow Star";
SUG_DROPDOWN_RAIDOPTION2	= "Orange Circle";
SUG_DROPDOWN_RAIDOPTION3	= "Purple Diamond"
SUG_DROPDOWN_RAIDOPTION4	= "Green Triangle";
SUG_DROPDOWN_RAIDOPTION5	= "White Moon";
SUG_DROPDOWN_RAIDOPTION6	= "Blue Square";
SUG_DROPDOWN_RAIDOPTION7	= "Red Cross"
SUG_DROPDOWN_RAIDOPTION8	= "White Skull";
--#endregion

--#region General Functions.
function SUGOptions_OnShow()

		if (CSGiz.on == 1) then
			SizeUpGizmoConfig.sentry = true;
		else
			SizeUpGizmoConfig.sentry = false;
		end
		if (CSGiz.anchor == 1) then
			SizeUpGizmoConfig.anchor = true;
		else
			SizeUpGizmoConfig.anchor = false;
		end
		if (CSGiz.detect == 1) then
			SizeUpGizmoConfig.enemy = true;
		else
			SizeUpGizmoConfig.enemy = false;
		end
		if (CSGiz.creatures == 1) then
			SizeUpGizmoConfig.creatures = true;
		else
			SizeUpGizmoConfig.creatures = false;
		end
		if (CSGiz.infotarget == 1) then
			SizeUpGizmoConfig.friend = true;
		else
			SizeUpGizmoConfig.friend = false;
		end
		
	SUGOptionsFrameToggleButton1Text:SetText(SUG_TOGGLE_BUTTON1);
	SUGOptionsFrameToggleButton2Text:SetText(SUG_TOGGLE_BUTTON2);
	SUGOptionsFrameToggleButton3Text:SetText(SUG_TOGGLE_BUTTON3);
	SUGOptionsFrameToggleButton4Text:SetText(SUG_TOGGLE_BUTTON4);
	SUGOptionsFrameToggleButton5Text:SetText(SUG_TOGGLE_BUTTON5);
	SUGOptionsFrameToggleButton6Text:SetText(SUG_TOGGLE_BUTTON6);
	SUGOptionsFrameToggleButton7Text:SetText(SUG_TOGGLE_BUTTON7);
	SUGOptionsFrameToggleButton8Text:SetText(SUG_TOGGLE_BUTTON8);
	SUGOptionsFrameToggleButton9Text:SetText(SUG_TOGGLE_BUTTON9);
	SUGOptionsFrameToggleButton10Text:SetText(SUG_TOGGLE_BUTTON10);
	SUGOptionsFrameToggleButton11Text:SetText(SUG_TOGGLE_BUTTON11);
	
	SUGOptionsFrameToggleButton12Text:SetText(SUG_TOGGLE_BUTTON12);
	SUGOptionsFrameToggleButton13Text:SetText(SUG_TOGGLE_BUTTON13);
	SUGOptionsFrameToggleButton14Text:SetText(SUG_TOGGLE_BUTTON14);
	SUGOptionsFrameToggleButton15Text:SetText(SUG_TOGGLE_BUTTON15);
	SUGOptionsFrameToggleButton16Text:SetText(SUG_TOGGLE_BUTTON16);
	SUGOptionsFrameToggleButton17Text:SetText(SUG_TOGGLE_BUTTON17);
	SUGOptionsFrameToggleButton18Text:SetText(SUG_TOGGLE_BUTTON18);
	SUGOptionsFrameToggleButton19Text:SetText(SUG_TOGGLE_BUTTON19);
	SUGOptionsFrameToggleButton20Text:SetText(SUG_TOGGLE_BUTTON20);

	SUGSliderButtonPos1Text:SetText(SUG_SLIDER_POS1.." ("..SizeUpGizmoConfig.alpha..")");
	SUGSliderButtonPos2Text:SetText(SUG_SLIDER_POS2.." ("..format("%.0f", ( (SizeUpGizmoConfig.scale*100) /1.5 ) ).." %)");
	SUGSliderButtonPos3Text:SetText(SUG_SLIDER_POS3.." ("..format("%.0f", ( (SizeUpGizmoConfig.csgscale*100) /1.5 ) ).." %)");

	SUGOptionsFrameToggleButton1:SetChecked(SizeUpGizmoConfig.hideslider);
	SUGOptionsFrameToggleButton2:SetChecked(SizeUpGizmoConfig.partymode);
	SUGOptionsFrameToggleButton3:SetChecked(SizeUpGizmoConfig.locked);
	SUGOptionsFrameToggleButton4:SetChecked(SizeUpGizmoConfig.enemyonly);
	SUGOptionsFrameToggleButton5:SetChecked(SizeUpGizmoConfig.newcalcs);
	SUGOptionsFrameToggleButton6:SetChecked(SizeUpGizmoConfig.player_b);
	SUGOptionsFrameToggleButton7:SetChecked(SizeUpGizmoConfig.player_d);
	SUGOptionsFrameToggleButton8:SetChecked(SizeUpGizmoConfig.target_b);
	SUGOptionsFrameToggleButton9:SetChecked(SizeUpGizmoConfig.target_d);
	SUGOptionsFrameToggleButton10:SetChecked(SizeUpGizmoConfig.enable);
	SUGOptionsFrameToggleButton11:SetChecked(SizeUpGizmoConfig.simple);
	
	SUGOptionsFrameToggleButton12:SetChecked(SizeUpGizmoConfig.sentry);
	SUGOptionsFrameToggleButton13:SetChecked(SizeUpGizmoConfig.enemy);
	SUGOptionsFrameToggleButton14:SetChecked(SizeUpGizmoConfig.creatures);
	SUGOptionsFrameToggleButton15:SetChecked(SizeUpGizmoConfig.friend);
	SUGOptionsFrameToggleButton16:SetChecked(SizeUpGizmoConfig.range);
	SUGOptionsFrameToggleButton17:SetChecked(SizeUpGizmoConfig.anchor);
	SUGOptionsFrameToggleButton18:SetChecked(SizeUpGizmoConfig.raid);
	SUGOptionsFrameToggleButton19:SetChecked(SizeUpGizmoConfig.combat);
	SUGOptionsFrameToggleButton20:SetChecked(SizeUpGizmoConfig.csgsimple);
	
	SUGSliderButtonPos1:SetValue(SizeUpGizmoConfig.alpha * 100);
	SUGSliderButtonPos2:SetValue(SizeUpGizmoConfig.scale * 100);
	
	SUGSliderButtonPos3:SetValue(SizeUpGizmoConfig.csgscale * 100);
	--SUGSliderButtonPos3:SetValue(SizeUpGizmoConfig.LevelAdjust);
	
	-- Player Health DropDown Menu
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown1, SUGOptionsDropDownMenu1_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown1, SizeUpGizmoConfig.p_htext);
			--DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."p_htext: "..SUGOptionsFrameDropDown1:GetID()..SUG_CLOSE);
	-- Player Mana DropDown Menu
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown2, SUGOptionsDropDownMenu2_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown2, SizeUpGizmoConfig.p_mtext);
			--DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."p_mtext: "..SUGOptionsFrameDropDown2:GetID()..SUG_CLOSE);
	-- Target Health DropDown Menu
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown3, SUGOptionsDropDownMenu3_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown3, SizeUpGizmoConfig.t_htext);
			--DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."t_htext: "..SUGOptionsFrameDropDown3:GetID()..SUG_CLOSE);
	-- Target Mana DropDown Menu
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown4, SUGOptionsDropDownMenu4_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown4, SizeUpGizmoConfig.t_mtext);
			--DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."p_mtext: "..SUGOptionsFrameDropDown4:GetID()..SUG_CLOSE);
			
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown5, SUGOptionsDropDownMenu5_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown5, RaidTargetIcon1);
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown6, SUGOptionsDropDownMenu6_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown6, RaidTargetIcon2);
		UIDropDownMenu_Initialize(SUGOptionsFrameDropDown7, SUGOptionsDropDownMenu7_Init);
		UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown7, RaidTargetIcon3);
		
end

function SUGOptions_OnHide()
	if(MYADDONS_ACTIVE_OPTIONSFRAME == this) then
		ShowUIPanel(myAddOnsFrame);
	end
end
--#endregion

--#region Initialisation for the Dropdown Menus.
function SUGOptionsDropDownMenu1_Init()
	local info1;
	SUG_List1 = { SUG_DROPDOWN_OPTION1, SUG_DROPDOWN_OPTION2, SUG_DROPDOWN_OPTION3, SUG_DROPDOWN_OPTION4};
	for i = 1, getn(SUG_List1), 1 do
		info1 = { };
		info1.text = SUG_List1[i];
		info1.func = SUGOptionsDropDownMenu1_OnClick;
		UIDropDownMenu_AddButton(info1);
	end
end
function SUGOptionsDropDownMenu1_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown1, this:GetID());
	SizeUpGizmoConfig.p_htext = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Extensive Player Heatlh Information."..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Detailed Player Heatlh Information."..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Simplified Player Health Information."..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Player Heatlh as Percentage."..SUG_CLOSE);
	end
end

--[[ Initialisation for the Player Mana Format Dropdown Menu ]]
function SUGOptionsDropDownMenu2_Init()
	local info2;
	SUG_List2 = { SUG_DROPDOWN_OPTION1, SUG_DROPDOWN_OPTION2, SUG_DROPDOWN_OPTION3, SUG_DROPDOWN_OPTION4};
	for i = 1, getn(SUG_List2), 1 do
		info2 = { };
		info2.text = SUG_List2[i];
		info2.func = SUGOptionsDropDownMenu2_OnClick;
		UIDropDownMenu_AddButton(info2);
	end
end
function SUGOptionsDropDownMenu2_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown2, this:GetID());
	SizeUpGizmoConfig.p_mtext = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Extensive Player Mana Information."..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Detailed Player Mana Information."..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Simplified Player Mana Information."..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Player Mana as Percentage."..SUG_CLOSE);
	end
end

--[[ Initialisation for the Target Health Format Dropdown Menu ]]
function SUGOptionsDropDownMenu3_Init()
	local info3;
	SUG_List3 = { SUG_DROPDOWN_OPTION1, SUG_DROPDOWN_OPTION2, SUG_DROPDOWN_OPTION3, SUG_DROPDOWN_OPTION4};
	for i = 1, getn(SUG_List3), 1 do
		info3 = { };
		info3.text = SUG_List3[i];
		info3.func = SUGOptionsDropDownMenu3_OnClick;
		UIDropDownMenu_AddButton(info3);
	end
end
function SUGOptionsDropDownMenu3_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown3, this:GetID());
	SizeUpGizmoConfig.t_htext = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Extensive Target Heatlh Information."..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Detailed Target Heatlh Information."..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Simplified Target Mana Information."..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Target Heatlh as Percentage."..SUG_CLOSE);
	end
end

--[[ Initialisation for the Target Mana Format Dropdown Menu ]]
function SUGOptionsDropDownMenu4_Init()
	local info4;
	SUG_List4 = { SUG_DROPDOWN_OPTION1, SUG_DROPDOWN_OPTION2, SUG_DROPDOWN_OPTION3, SUG_DROPDOWN_OPTION4};
	for i = 1, getn(SUG_List4), 1 do
		info4 = { };
		info4.text = SUG_List4[i];
		info4.func = SUGOptionsDropDownMenu4_OnClick;
		UIDropDownMenu_AddButton(info4);
	end
end
function SUGOptionsDropDownMenu4_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown4, this:GetID());
	SizeUpGizmoConfig.t_mtext = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Extensive Target Mana Information."..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Simplified Target Mana Information."..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Simplified Target Mana Information."..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now Showing Target Mana as Percentage."..SUG_CLOSE);
	end
end
--#endregion

function SUGOptionsDropDownMenu5_Init()
	local info5;
	SUG_List5 = { SUG_DROPDOWN_RAIDOPTION1, SUG_DROPDOWN_RAIDOPTION2, SUG_DROPDOWN_RAIDOPTION3, SUG_DROPDOWN_RAIDOPTION4, SUG_DROPDOWN_RAIDOPTION5, SUG_DROPDOWN_RAIDOPTION6, SUG_DROPDOWN_RAIDOPTION7, SUG_DROPDOWN_RAIDOPTION8};
	for i = 1, getn(SUG_List5), 1 do
		info5 = { };
		info5.text = SUG_List5[i];
		info5.func = SUGOptionsDropDownMenu5_OnClick;
		UIDropDownMenu_AddButton(info5);
	end
end
function SUGOptionsDropDownMenu5_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown5, this:GetID());
	RaidTargetIcon1 = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to Yellow 4-point Star"..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to Orange Circle"..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to Purple Diamond"..SUG_CLOSE);
	elseif ( this:GetID() == 4 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to Green Triangle"..SUG_CLOSE);
	elseif ( this:GetID() == 5 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to White Crescent Moon"..SUG_CLOSE);
	elseif ( this:GetID() == 6 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to Blue Square"..SUG_CLOSE);
	elseif ( this:GetID() == 7 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to Red X Cross"..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon1 set to White Skull"..SUG_CLOSE);
	end
end

function SUGOptionsDropDownMenu6_Init()
	local info6;
	SUG_List6 = { SUG_DROPDOWN_RAIDOPTION1, SUG_DROPDOWN_RAIDOPTION2, SUG_DROPDOWN_RAIDOPTION3, SUG_DROPDOWN_RAIDOPTION4, SUG_DROPDOWN_RAIDOPTION5, SUG_DROPDOWN_RAIDOPTION6, SUG_DROPDOWN_RAIDOPTION7, SUG_DROPDOWN_RAIDOPTION8};
	for i = 1, getn(SUG_List6), 1 do
		info6 = { };
		info6.text = SUG_List6[i];
		info6.func = SUGOptionsDropDownMenu6_OnClick;
		UIDropDownMenu_AddButton(info6);
	end
end
function SUGOptionsDropDownMenu6_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown6, this:GetID());
	RaidTargetIcon2 = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to Yellow 4-point Star"..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to Orange Circle"..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to Purple Diamond"..SUG_CLOSE);
	elseif ( this:GetID() == 4 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to Green Triangle"..SUG_CLOSE);
	elseif ( this:GetID() == 5 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to White Crescent Moon"..SUG_CLOSE);
	elseif ( this:GetID() == 6 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to Blue Square"..SUG_CLOSE);
	elseif ( this:GetID() == 7 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to Red X Cross"..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon2 set to White Skull"..SUG_CLOSE);
	end
end

function SUGOptionsDropDownMenu7_Init()
	local info7;
	SUG_List7 = { SUG_DROPDOWN_RAIDOPTION1, SUG_DROPDOWN_RAIDOPTION2, SUG_DROPDOWN_RAIDOPTION3, SUG_DROPDOWN_RAIDOPTION4, SUG_DROPDOWN_RAIDOPTION5, SUG_DROPDOWN_RAIDOPTION6, SUG_DROPDOWN_RAIDOPTION7, SUG_DROPDOWN_RAIDOPTION8};
	for i = 1, getn(SUG_List7), 1 do
		info7 = { };
		info7.text = SUG_List7[i];
		info7.func = SUGOptionsDropDownMenu7_OnClick;
		UIDropDownMenu_AddButton(info7);
	end
end
function SUGOptionsDropDownMenu7_OnClick()
	UIDropDownMenu_SetSelectedID(SUGOptionsFrameDropDown7, this:GetID());
	RaidTargetIcon3 = this:GetID();
	if ( this:GetID() == 1 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to Yellow 4-point Star"..SUG_CLOSE);
	elseif ( this:GetID() == 2 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to Orange Circle"..SUG_CLOSE);
	elseif ( this:GetID() == 3 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to Purple Diamond"..SUG_CLOSE);
	elseif ( this:GetID() == 4 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to Green Triangle"..SUG_CLOSE);
	elseif ( this:GetID() == 5 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to White Crescent Moon"..SUG_CLOSE);
	elseif ( this:GetID() == 6 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to Blue Square"..SUG_CLOSE);
	elseif ( this:GetID() == 7 ) then
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to Red X Cross"..SUG_CLOSE);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CG: "..SUG_BLUE.."RaidTargetIcon3 set to White Skull"..SUG_CLOSE);
	end
end

--#region Initialisation for the Toggle Buttons.
function SUGOptions_Buttons(button)
	if( button == 1 ) then	
		if( SUGOptionsFrame:IsVisible()) then
			SUGOptionsFrame:Hide();
		else
			SUGOptionsFrame:Show();
		end
	elseif( button == 2) then
		SizeUpGizmo_BaseFrame:ClearAllPoints();
		SizeUpGizmo_BaseFrame:SetPoint("CENTER", "UIParent", "CENTER", 0, 0);
		SizeUpGizmoConfig.framePos_Left = SizeUpGizmo_BaseFrame:GetLeft();
		SizeUpGizmoConfig.framePos_Top = SizeUpGizmo_BaseFrame:GetTop();
		SizeUpGizmo_BaseFrame:ClearAllPoints();
		SizeUpGizmo_BaseFrame:SetPoint("TOPLEFT", "UIParent", "BOTTOMLEFT", SizeUpGizmoConfig.framePos_Left, SizeUpGizmoConfig.framePos_Top);
		
		SizeUpGizmoConfig.simple = false;
		SizeUpGizmoConfig.enable = true;
		SizeUpGizmoConfig.locked = false;
		SizeUpGizmoConfig.partymode = false;
		SizeUpGizmoConfig.newcalcs = true;
		SizeUpGizmoConfig.alpha = 0.9;
		SizeUpGizmoConfig.scale = 1.5;
		SizeUpGizmoConfig.hideslider = true;
		SizeUpGizmoConfig.enemyonly = false;
		SizeUpGizmoConfig.p_htext = 1;
		SizeUpGizmoConfig.p_mtext = 1;
		SizeUpGizmoConfig.t_htext = 1;
		SizeUpGizmoConfig.t_mtext = 1;
		SizeUpGizmoConfig.player_b = 1;
		SizeUpGizmoConfig.player_d = 1;
		SizeUpGizmoConfig.target_b = 1;
		SizeUpGizmoConfig.target_d = 1;
		SizeUpGizmoConfig.LevelAdjust = 0;
		
		SizeUpGizmoConfig.csgscale = 1.5;		
		SizeUpGizmoConfig.sentry = true;
		SizeUpGizmoConfig.enemy = true;
		SizeUpGizmoConfig.creatures = true;
		SizeUpGizmoConfig.friend = true;
		SizeUpGizmoConfig.range = true;
		SizeUpGizmoConfig.anchor = true;
		SizeUpGizmoConfig.raid = true;
		SizeUpGizmoConfig.combat = false;
		SizeUpGizmoConfig.csgsimple = true;
		
		SUGOptions_Buttons(1);
		DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."SUG frame Reset."..SUG_CLOSE);
	end
end

function SUGOptions_Toggle(button)
	if ( button == 1 ) then
		if (SizeUpGizmoConfig.hideslider == true) then
			SizeUpGizmo_BattleSuccess_SliderGlowFrame:Hide();
			SizeUpGizmoConfig.hideslider = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Hiding slider."..SUG_CLOSE);
		else
			SizeUpGizmo_BattleSuccess_SliderGlowFrame:Show();
			SizeUpGizmoConfig.hideslider = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Showing slider."..SUG_CLOSE);
		end
	elseif ( button == 2 ) then
		if (SizeUpGizmoConfig.partymode == true) then
			SizeUpGizmoConfig.partymode = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Solo mode enabled."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.partymode = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Party mode enabled."..SUG_CLOSE);
		end
	elseif ( button == 3 ) then
		if (SizeUpGizmoConfig.locked == true) then
			SizeUpGizmoConfig.locked = false;
			SizeUpGizmo_ParentMasterFrame:EnableMouse(1);
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Frame is now UNLOCKED."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.locked = true;
			SizeUpGizmo_ParentMasterFrame:EnableMouse(0);
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Frame is now LOCKED."..SUG_CLOSE);
		end
	elseif ( button == 4 ) then
		if (SizeUpGizmoConfig.enemyonly) then
			SizeUpGizmoConfig.enemyonly = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."SUG will now show for ALL targets."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.enemyonly = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."SUG will now only show for ENEMY targets."..SUG_CLOSE);
		end
	elseif ( button == 5 ) then
		if (SizeUpGizmoConfig.newcalcs == true) then
			SizeUpGizmoConfig.newcalcs = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Using old calculation methods."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.newcalcs = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Using new calculation methods."..SUG_CLOSE);
		end
	elseif ( button == 6 ) then
		if (SizeUpGizmoConfig.player_b == 1) then
			SizeUpGizmoConfig.player_b = 0;
			SizeUpGizmo_Buffs_Update( "player" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."No longer showing player buffs."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.player_b = 1;
			SizeUpGizmo_Buffs_Update( "player" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now showing player buffs."..SUG_CLOSE);
		end
	elseif ( button == 7 ) then
		if (SizeUpGizmoConfig.player_d == 1) then
			SizeUpGizmoConfig.player_d = 0;
			SizeUpGizmo_Buffs_Update( "target" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."No longer showing player debuffs."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.player_d = 1;
			SizeUpGizmo_Buffs_Update( "target" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now showing player debuffs."..SUG_CLOSE);
		end
	elseif ( button == 8 ) then
		if (SizeUpGizmoConfig.target_b == 1) then
			SizeUpGizmoConfig.target_b = 0;
			SizeUpGizmo_Buffs_Update( "target" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."No longer showing target buffs."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.target_b = 1;
			SizeUpGizmo_Buffs_Update( "target" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now showing target buffs. (not visible to most users)"..SUG_CLOSE);
		end
	elseif ( button == 9 ) then
		if (SizeUpGizmoConfig.target_d == 1) then
			SizeUpGizmoConfig.target_d = 0;
			SizeUpGizmo_Buffs_Update( "target" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."No longer showing target debuffs."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.target_d = 1;
			SizeUpGizmo_Buffs_Update( "target" );
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Now showing target debuffs."..SUG_CLOSE);
		end
	elseif ( button == 10 ) then
		if (SizeUpGizmoConfig.enable == true) then
			SizeUpGizmoConfig.enable = false;
			CSGiz.sug = 0;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.enable = true;
			CSGiz.sug = 1;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 11 ) then
		if (SizeUpGizmoConfig.simple == true) then
			SizeUpGizmoConfig.simple = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Lite SizeUp Mode turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.simple = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Lite SizeUp Mode turned on."..SUG_CLOSE);
		end
	elseif ( button == 12 ) then
		if (SizeUpGizmoConfig.sentry == true) then
			SizeUpGizmoConfig.sentry = false;
			CSGiz.on = 0;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.sentry = true;
			CSGiz.on = 1;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 13 ) then
		if (SizeUpGizmoConfig.enemy == true) then
			SizeUpGizmoConfig.enemy = false;
			CSGiz.detect = 0;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Enemy Detection DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.enemy = true;
			CSGiz.detect = 1;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Enemy Detection ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 14 ) then
		if (SizeUpGizmoConfig.creatures == true) then
			SizeUpGizmoConfig.creatures = false;
			CSGiz.creatures = 0;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Creature Detection DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.creatures = true;
			CSGiz.creatures = 1;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Creature Detection ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 15 ) then
		if (SizeUpGizmoConfig.friend == true) then
			SizeUpGizmoConfig.friend = false;
			CSGiz.infotarget = 0;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Friend Detection DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.friend = true;
			CSGiz.infotarget = 1;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Friend Detection ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 16 ) then
		if (SizeUpGizmoConfig.range == true) then
			SizeUpGizmoConfig.range = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Range Recolor DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.range = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Range Recolor ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 17 ) then
		if (SizeUpGizmoConfig.anchor == true) then
			SizeUpGizmoConfig.anchor = false;
			CSGiz.anchor = 0;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Sentry Anchor DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.anchor = true;
			CSGiz.anchor = 1;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Sentry Anchor ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 18 ) then
		if (SizeUpGizmoConfig.raid == true) then
			SizeUpGizmoConfig.raid = false;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Assigning Raid Icons DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.raid = true;
			CSG_OptionsBar_UpdateCheckboxes();
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Assigning Raid Icons ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 19 ) then
		if (SizeUpGizmoConfig.combat == true) then
			SizeUpGizmoConfig.combat = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Lite Sentry Mode DISABLED and turned off."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.combat = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Lite Sentry Mode ENABLED and turned on."..SUG_CLOSE);
		end
	elseif ( button == 20 ) then
		if (SizeUpGizmoConfig.csgsimple == true) then
			SizeUpGizmoConfig.csgsimple = false;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Sentry Coloring set to DIFFICULTY."..SUG_CLOSE);
		else
			SizeUpGizmoConfig.csgsimple = true;
			DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."CSG: "..SUG_BLUE.."Sentry Coloring set to FACTION."..SUG_CLOSE);
		end
	end
end
--#endregion

--#region Initialisation for the Slider Bar.
function SUGOptions_Sliders(slider)
	if( slider == 1 ) then
		slider1Val = SUGSliderButtonPos1:GetValue() / 100;
		SUGSliderButtonPos1Text:SetText(SUG_SLIDER_POS1.." ("..slider1Val..")");
		SizeUpGizmoConfig.alpha = tonumber(slider1Val);
		SizeUpGizmo_BaseFrame_UpdateFrames();
		-- DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."Frame's alpha set to: "..slider1Val..SUG_CLOSE);
	elseif( slider == 2 ) then
		slider2Val = SUGSliderButtonPos2:GetValue() / 100;
		SUGSliderButtonPos2Text:SetText(SUG_SLIDER_POS2.." ("..format("%.0f", ( (slider2Val*100) / 1.5 ) ).." %)");		
		SizeUpGizmo_ParentMasterFrame:SetScale(0.6666667 * slider2Val);
		SizeUpGizmoConfig.scale = slider2Val;
		-- DEFAULT_CHAT_FRAME:AddMessage(SUG_GREEN.."SUG: "..SUG_BLUE.."SUG frame Scale now set to: "..slider2Val..SUG_CLOSE);
	elseif( slider == 3 ) then
		slider3Val = SUGSliderButtonPos3:GetValue() / 100;
		SUGSliderButtonPos3Text:SetText(SUG_SLIDER_POS3.." ("..format("%.0f", ( (slider3Val*100) / 1.5 ) ).." %)");		
		CSG_Parent_Frame:SetScale(0.6666667 * slider3Val);
		SizeUpGizmoConfig.csgscale = slider3Val;
		CSGiz.scale = slider3Val;
	end
end
--#endregion